package kz.cafe.admin;

import java.util.*;
import kz.cafe.admin.constants.AccessConstants.EditMode;
import kz.cafe.admin.panels.*;
import kz.cafe.admin.panels.model.*;
import kz.cafe.db.model.*;


public class TabStatisticsIP extends TabAbstractStatistics{
   private static final long serialVersionUID = 9038535695439737388L;



   public TabStatisticsIP(AdminMain application, Set<EditMode> setMode){
      super(application, setMode);
   }

   
   

   @Override
   public DBListPanel<MStatisticIP> build(){
      CustomDescriptor dscr = new CustomDescriptor();

      CustomField field = new CustomField();
      field.visible = false;
      field.search.mode = CustomField.Search.SEARCH_MODES.INTEGER;
      field.name = "ID";
      field.db = "ID";
      field.isEditable = false;
      field.style.width = 50;
      field.isSortable = true;
      field.search.row = 0;
      dscr.addField(field);
      
      
      field = new CustomField();
      field.visible = true;
      field.search.mode = CustomField.Search.SEARCH_MODES.STRING;
      field.name = "IP";
      field.db = "IP";
      field.isEditable = false;
      field.style.width = 0;
      field.isSortable = true;
      field.search.row = 0;
      dscr.addField(field);
      

      
      common(dscr);

      DBListPanel<MStatisticIP> panel = new DBListPanel<MStatisticIP>(application, MStatisticIP.class, dscr, Dimension.getFull(application), setMode);
      return panel;
   }



   @Override
   public DBSingle build(int ID){
      return null;
   }
}

